#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>
#include "syscall.h"

int
chdir(char *dir)
{
	Syscallmem *c;

	c = _getsyscallmem();
	strcpy((char*)(&c[1]), dir);
	c->arg[0] = 0;
	c->nr = Schdir;
	return _dosyscall(c);
}

